1# Makefile.in generated by automake 1.14 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# $Id: Makefile.am 714 2013-08-19 15:30:21Z des $
18
19VPATH = @srcdir@
20am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
21am__make_running_with_option = \
22  case $${target_option-} in \
23      ?) ;; \
24      *) echo "am__make_running_with_option: internal error: invalid" \
25              "target option '$${target_option-}' specified" >&2; \
26         exit 1;; \
27  esac; \
28  has_opt=no; \
29  sane_makeflags=$$MAKEFLAGS; \
30  if $(am__is_gnu_make); then \
31    sane_makeflags=$$MFLAGS; \
32  else \
33    case $$MAKEFLAGS in \
34      *\\[\ \	]*) \
35        bs=\\; \
36        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
37          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
38    esac; \
39  fi; \
40  skip_next=no; \
41  strip_trailopt () \
42  { \
43    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
44  }; \
45  for flg in $$sane_makeflags; do \
46    test $$skip_next = yes && { skip_next=no; continue; }; \
47    case $$flg in \
48      *=*|--*) continue;; \
49        -*I) strip_trailopt 'I'; skip_next=yes;; \
50      -*I?*) strip_trailopt 'I';; \
51        -*O) strip_trailopt 'O'; skip_next=yes;; \
52      -*O?*) strip_trailopt 'O';; \
53        -*l) strip_trailopt 'l'; skip_next=yes;; \
54      -*l?*) strip_trailopt 'l';; \
55      -[dEDm]) skip_next=yes;; \
56      -[JT]) skip_next=yes;; \
57    esac; \
58    case $$flg in \
59      *$$target_option*) has_opt=yes; break;; \
60    esac; \
61  done; \
62  test $$has_opt = yes
63am__make_dryrun = (target_option=n; $(am__make_running_with_option))
64am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
65pkgdatadir = $(datadir)/@PACKAGE@
66pkgincludedir = $(includedir)/@PACKAGE@
67pkglibdir = $(libdir)/@PACKAGE@
68pkglibexecdir = $(libexecdir)/@PACKAGE@
69am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
70install_sh_DATA = $(install_sh) -c -m 644
71install_sh_PROGRAM = $(install_sh) -c
72install_sh_SCRIPT = $(install_sh) -c
73INSTALL_HEADER = $(INSTALL_DATA)
74transform = $(program_transform_name)
75NORMAL_INSTALL = :
76PRE_INSTALL = :
77POST_INSTALL = :
78NORMAL_UNINSTALL = :
79PRE_UNINSTALL = :
80POST_UNINSTALL = :
81build_triplet = @build@
82host_triplet = @host@
83TESTS = t_openpam_readword$(EXEEXT) t_openpam_readlinev$(EXEEXT)
84check_PROGRAMS = $(am__EXEEXT_1)
85subdir = t
86DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
87	$(top_srcdir)/depcomp $(noinst_HEADERS) \
88	$(top_srcdir)/test-driver
89ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
91	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
92	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
93	$(top_srcdir)/configure.ac
94am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
95	$(ACLOCAL_M4)
96mkinstalldirs = $(install_sh) -d
97CONFIG_HEADER = $(top_builddir)/config.h
98CONFIG_CLEAN_FILES =
99CONFIG_CLEAN_VPATH_FILES =
100ARFLAGS = cru
101AM_V_AR = $(am__v_AR_@AM_V@)
102am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
103am__v_AR_0 = @echo "  AR      " $@;
104am__v_AR_1 = 
105libt_a_AR = $(AR) $(ARFLAGS)
106libt_a_LIBADD =
107am_libt_a_OBJECTS = t_main.$(OBJEXT) t_file.$(OBJEXT)
108libt_a_OBJECTS = $(am_libt_a_OBJECTS)
109am__EXEEXT_1 = t_openpam_readword$(EXEEXT) \
110	t_openpam_readlinev$(EXEEXT)
111t_openpam_readlinev_SOURCES = t_openpam_readlinev.c
112t_openpam_readlinev_OBJECTS = t_openpam_readlinev.$(OBJEXT)
113t_openpam_readlinev_LDADD = $(LDADD)
114t_openpam_readlinev_DEPENDENCIES = libt.a \
115	$(top_builddir)/lib/libpam/libpam.la
116AM_V_lt = $(am__v_lt_@AM_V@)
117am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
118am__v_lt_0 = --silent
119am__v_lt_1 = 
120t_openpam_readword_SOURCES = t_openpam_readword.c
121t_openpam_readword_OBJECTS = t_openpam_readword.$(OBJEXT)
122t_openpam_readword_LDADD = $(LDADD)
123t_openpam_readword_DEPENDENCIES = libt.a \
124	$(top_builddir)/lib/libpam/libpam.la
125AM_V_P = $(am__v_P_@AM_V@)
126am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
127am__v_P_0 = false
128am__v_P_1 = :
129AM_V_GEN = $(am__v_GEN_@AM_V@)
130am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
131am__v_GEN_0 = @echo "  GEN     " $@;
132am__v_GEN_1 = 
133AM_V_at = $(am__v_at_@AM_V@)
134am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
135am__v_at_0 = @
136am__v_at_1 = 
137DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
138depcomp = $(SHELL) $(top_srcdir)/depcomp
139am__depfiles_maybe = depfiles
140am__mv = mv -f
141COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
142	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
143LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
144	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
145	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
146	$(AM_CFLAGS) $(CFLAGS)
147AM_V_CC = $(am__v_CC_@AM_V@)
148am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
149am__v_CC_0 = @echo "  CC      " $@;
150am__v_CC_1 = 
151CCLD = $(CC)
152LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
153	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
154	$(AM_LDFLAGS) $(LDFLAGS) -o $@
155AM_V_CCLD = $(am__v_CCLD_@AM_V@)
156am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
157am__v_CCLD_0 = @echo "  CCLD    " $@;
158am__v_CCLD_1 = 
159SOURCES = $(libt_a_SOURCES) t_openpam_readlinev.c t_openpam_readword.c
160DIST_SOURCES = $(libt_a_SOURCES) t_openpam_readlinev.c \
161	t_openpam_readword.c
162am__can_run_installinfo = \
163  case $$AM_UPDATE_INFO_DIR in \
164    n|no|NO) false;; \
165    *) (install-info --version) >/dev/null 2>&1;; \
166  esac
167HEADERS = $(noinst_HEADERS)
168am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
169# Read a list of newline-separated strings from the standard input,
170# and print each of them once, without duplicates.  Input order is
171# *not* preserved.
172am__uniquify_input = $(AWK) '\
173  BEGIN { nonempty = 0; } \
174  { items[$$0] = 1; nonempty = 1; } \
175  END { if (nonempty) { for (i in items) print i; }; } \
176'
177# Make sure the list of sources is unique.  This is necessary because,
178# e.g., the same source file might be shared among _SOURCES variables
179# for different programs/libraries.
180am__define_uniq_tagged_files = \
181  list='$(am__tagged_files)'; \
182  unique=`for i in $$list; do \
183    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
184  done | $(am__uniquify_input)`
185ETAGS = etags
186CTAGS = ctags
187am__tty_colors_dummy = \
188  mgn= red= grn= lgn= blu= brg= std=; \
189  am__color_tests=no
190am__tty_colors = { \
191  $(am__tty_colors_dummy); \
192  if test "X$(AM_COLOR_TESTS)" = Xno; then \
193    am__color_tests=no; \
194  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
195    am__color_tests=yes; \
196  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
197    am__color_tests=yes; \
198  fi; \
199  if test $$am__color_tests = yes; then \
200    red='[0;31m'; \
201    grn='[0;32m'; \
202    lgn='[1;32m'; \
203    blu='[1;34m'; \
204    mgn='[0;35m'; \
205    brg='[1m'; \
206    std='[m'; \
207  fi; \
208}
209am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
210am__vpath_adj = case $$p in \
211    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
212    *) f=$$p;; \
213  esac;
214am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
215am__install_max = 40
216am__nobase_strip_setup = \
217  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
218am__nobase_strip = \
219  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
220am__nobase_list = $(am__nobase_strip_setup); \
221  for p in $$list; do echo "$$p $$p"; done | \
222  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
223  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
224    if (++n[$$2] == $(am__install_max)) \
225      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
226    END { for (dir in files) print dir, files[dir] }'
227am__base_list = \
228  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
229  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
230am__uninstall_files_from_dir = { \
231  test -z "$$files" \
232    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
233    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
234         $(am__cd) "$$dir" && rm -f $$files; }; \
235  }
236am__recheck_rx = ^[ 	]*:recheck:[ 	]*
237am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
238am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
239# A command that, given a newline-separated list of test names on the
240# standard input, print the name of the tests that are to be re-run
241# upon "make recheck".
242am__list_recheck_tests = $(AWK) '{ \
243  recheck = 1; \
244  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
245    { \
246      if (rc < 0) \
247        { \
248          if ((getline line2 < ($$0 ".log")) < 0) \
249	    recheck = 0; \
250          break; \
251        } \
252      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
253        { \
254          recheck = 0; \
255          break; \
256        } \
257      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
258        { \
259          break; \
260        } \
261    }; \
262  if (recheck) \
263    print $$0; \
264  close ($$0 ".trs"); \
265  close ($$0 ".log"); \
266}'
267# A command that, given a newline-separated list of test names on the
268# standard input, create the global log from their .trs and .log files.
269am__create_global_log = $(AWK) ' \
270function fatal(msg) \
271{ \
272  print "fatal: making $@: " msg | "cat >&2"; \
273  exit 1; \
274} \
275function rst_section(header) \
276{ \
277  print header; \
278  len = length(header); \
279  for (i = 1; i <= len; i = i + 1) \
280    printf "="; \
281  printf "\n\n"; \
282} \
283{ \
284  copy_in_global_log = 1; \
285  global_test_result = "RUN"; \
286  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
287    { \
288      if (rc < 0) \
289         fatal("failed to read from " $$0 ".trs"); \
290      if (line ~ /$(am__global_test_result_rx)/) \
291        { \
292          sub("$(am__global_test_result_rx)", "", line); \
293          sub("[ 	]*$$", "", line); \
294          global_test_result = line; \
295        } \
296      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
297        copy_in_global_log = 0; \
298    }; \
299  if (copy_in_global_log) \
300    { \
301      rst_section(global_test_result ": " $$0); \
302      while ((rc = (getline line < ($$0 ".log"))) != 0) \
303      { \
304        if (rc < 0) \
305          fatal("failed to read from " $$0 ".log"); \
306        print line; \
307      }; \
308      printf "\n"; \
309    }; \
310  close ($$0 ".trs"); \
311  close ($$0 ".log"); \
312}'
313# Restructured Text title.
314am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
315# Solaris 10 'make', and several other traditional 'make' implementations,
316# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
317# by disabling -e (using the XSI extension "set +e") if it's set.
318am__sh_e_setup = case $$- in *e*) set +e;; esac
319# Default flags passed to test drivers.
320am__common_driver_flags = \
321  --color-tests "$$am__color_tests" \
322  --enable-hard-errors "$$am__enable_hard_errors" \
323  --expect-failure "$$am__expect_failure"
324# To be inserted before the command running the test.  Creates the
325# directory for the log if needed.  Stores in $dir the directory
326# containing $f, in $tst the test, in $log the log.  Executes the
327# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
328# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
329# will run the test scripts (or their associated LOG_COMPILER, if
330# thy have one).
331am__check_pre = \
332$(am__sh_e_setup);					\
333$(am__vpath_adj_setup) $(am__vpath_adj)			\
334$(am__tty_colors);					\
335srcdir=$(srcdir); export srcdir;			\
336case "$@" in						\
337  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
338    *) am__odir=.;; 					\
339esac;							\
340test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
341  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
342if test -f "./$$f"; then dir=./;			\
343elif test -f "$$f"; then dir=;				\
344else dir="$(srcdir)/"; fi;				\
345tst=$$dir$$f; log='$@'; 				\
346if test -n '$(DISABLE_HARD_ERRORS)'; then		\
347  am__enable_hard_errors=no; 				\
348else							\
349  am__enable_hard_errors=yes; 				\
350fi; 							\
351case " $(XFAIL_TESTS) " in				\
352  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
353    am__expect_failure=yes;;				\
354  *)							\
355    am__expect_failure=no;;				\
356esac; 							\
357$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
358# A shell command to get the names of the tests scripts with any registered
359# extension removed (i.e., equivalently, the names of the test logs, with
360# the '.log' extension removed).  The result is saved in the shell variable
361# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
362# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
363# since that might cause problem with VPATH rewrites for suffix-less tests.
364# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
365am__set_TESTS_bases = \
366  bases='$(TEST_LOGS)'; \
367  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
368  bases=`echo $$bases`
369RECHECK_LOGS = $(TEST_LOGS)
370AM_RECURSIVE_TARGETS = check recheck
371TEST_SUITE_LOG = test-suite.log
372TEST_EXTENSIONS = @EXEEXT@ .test
373LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
374LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
375am__set_b = \
376  case '$@' in \
377    */*) \
378      case '$*' in \
379        */*) b='$*';; \
380          *) b=`echo '$@' | sed 's/\.log$$//'`; \
381       esac;; \
382    *) \
383      b='$*';; \
384  esac
385am__test_logs1 = $(TESTS:=.log)
386am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
387TEST_LOGS = $(am__test_logs2:.test.log=.log)
388TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
389TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
390	$(TEST_LOG_FLAGS)
391DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
392ACLOCAL = @ACLOCAL@
393AMTAR = @AMTAR@
394AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
395AR = @AR@
396AUTOCONF = @AUTOCONF@
397AUTOHEADER = @AUTOHEADER@
398AUTOMAKE = @AUTOMAKE@
399AWK = @AWK@
400CC = @CC@
401CCDEPMODE = @CCDEPMODE@
402CFLAGS = @CFLAGS@
403CPP = @CPP@
404CPPFLAGS = @CPPFLAGS@
405CRYPTO_LIBS = @CRYPTO_LIBS@
406CRYPT_LIBS = @CRYPT_LIBS@
407CYGPATH_W = @CYGPATH_W@
408DEFS = @DEFS@
409DEPDIR = @DEPDIR@
410DLLTOOL = @DLLTOOL@
411DL_LIBS = @DL_LIBS@
412DSYMUTIL = @DSYMUTIL@
413DUMPBIN = @DUMPBIN@
414ECHO_C = @ECHO_C@
415ECHO_N = @ECHO_N@
416ECHO_T = @ECHO_T@
417EGREP = @EGREP@
418EXEEXT = @EXEEXT@
419FGREP = @FGREP@
420GREP = @GREP@
421INSTALL = @INSTALL@
422INSTALL_DATA = @INSTALL_DATA@
423INSTALL_PROGRAM = @INSTALL_PROGRAM@
424INSTALL_SCRIPT = @INSTALL_SCRIPT@
425INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
426LD = @LD@
427LDFLAGS = @LDFLAGS@
428LIBOBJS = @LIBOBJS@
429LIBS = @LIBS@
430LIBTOOL = @LIBTOOL@
431LIB_MAJ = @LIB_MAJ@
432LIPO = @LIPO@
433LN_S = @LN_S@
434LTLIBOBJS = @LTLIBOBJS@
435MAKEINFO = @MAKEINFO@
436MANIFEST_TOOL = @MANIFEST_TOOL@
437MKDIR_P = @MKDIR_P@
438NM = @NM@
439NMEDIT = @NMEDIT@
440OBJDUMP = @OBJDUMP@
441OBJEXT = @OBJEXT@
442OPENPAM_MODULES_DIR = @OPENPAM_MODULES_DIR@
443OTOOL = @OTOOL@
444OTOOL64 = @OTOOL64@
445PACKAGE = @PACKAGE@
446PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
447PACKAGE_NAME = @PACKAGE_NAME@
448PACKAGE_STRING = @PACKAGE_STRING@
449PACKAGE_TARNAME = @PACKAGE_TARNAME@
450PACKAGE_URL = @PACKAGE_URL@
451PACKAGE_VERSION = @PACKAGE_VERSION@
452PATH_SEPARATOR = @PATH_SEPARATOR@
453RANLIB = @RANLIB@
454SED = @SED@
455SET_MAKE = @SET_MAKE@
456SHELL = @SHELL@
457STRIP = @STRIP@
458VERSION = @VERSION@
459abs_builddir = @abs_builddir@
460abs_srcdir = @abs_srcdir@
461abs_top_builddir = @abs_top_builddir@
462abs_top_srcdir = @abs_top_srcdir@
463ac_ct_AR = @ac_ct_AR@
464ac_ct_CC = @ac_ct_CC@
465ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
466am__include = @am__include@
467am__leading_dot = @am__leading_dot@
468am__quote = @am__quote@
469am__tar = @am__tar@
470am__untar = @am__untar@
471bindir = @bindir@
472build = @build@
473build_alias = @build_alias@
474build_cpu = @build_cpu@
475build_os = @build_os@
476build_vendor = @build_vendor@
477builddir = @builddir@
478datadir = @datadir@
479datarootdir = @datarootdir@
480docdir = @docdir@
481dvidir = @dvidir@
482exec_prefix = @exec_prefix@
483host = @host@
484host_alias = @host_alias@
485host_cpu = @host_cpu@
486host_os = @host_os@
487host_vendor = @host_vendor@
488htmldir = @htmldir@
489includedir = @includedir@
490infodir = @infodir@
491install_sh = @install_sh@
492libdir = @libdir@
493libexecdir = @libexecdir@
494localedir = @localedir@
495localstatedir = @localstatedir@
496mandir = @mandir@
497mkdir_p = @mkdir_p@
498oldincludedir = @oldincludedir@
499pdfdir = @pdfdir@
500prefix = @prefix@
501program_transform_name = @program_transform_name@
502psdir = @psdir@
503sbindir = @sbindir@
504sharedstatedir = @sharedstatedir@
505srcdir = @srcdir@
506sysconfdir = @sysconfdir@
507target_alias = @target_alias@
508top_build_prefix = @top_build_prefix@
509top_builddir = @top_builddir@
510top_srcdir = @top_srcdir@
511AM_CPPFLAGS = -I$(top_srcdir)/include -I$(top_srcdir)/lib/libpam
512noinst_HEADERS = t.h
513
514# libt - common support code
515check_LIBRARIES = libt.a
516libt_a_SOURCES = t_main.c t_file.c
517
518# link with libpam and libt
519LDADD = libt.a $(top_builddir)/lib/libpam/libpam.la
520all: all-am
521
522.SUFFIXES:
523.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
524$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
525	@for dep in $?; do \
526	  case '$(am__configure_deps)' in \
527	    *$$dep*) \
528	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
529	        && { if test -f $@; then exit 0; else break; fi; }; \
530	      exit 1;; \
531	  esac; \
532	done; \
533	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign t/Makefile'; \
534	$(am__cd) $(top_srcdir) && \
535	  $(AUTOMAKE) --foreign t/Makefile
536.PRECIOUS: Makefile
537Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
538	@case '$?' in \
539	  *config.status*) \
540	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
541	  *) \
542	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
543	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
544	esac;
545
546$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
547	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
548
549$(top_srcdir)/configure:  $(am__configure_deps)
550	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
551$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
552	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
553$(am__aclocal_m4_deps):
554
555clean-checkLIBRARIES:
556	-test -z "$(check_LIBRARIES)" || rm -f $(check_LIBRARIES)
557
558libt.a: $(libt_a_OBJECTS) $(libt_a_DEPENDENCIES) $(EXTRA_libt_a_DEPENDENCIES) 
559	$(AM_V_at)-rm -f libt.a
560	$(AM_V_AR)$(libt_a_AR) libt.a $(libt_a_OBJECTS) $(libt_a_LIBADD)
561	$(AM_V_at)$(RANLIB) libt.a
562
563clean-checkPROGRAMS:
564	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
565	echo " rm -f" $$list; \
566	rm -f $$list || exit $$?; \
567	test -n "$(EXEEXT)" || exit 0; \
568	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
569	echo " rm -f" $$list; \
570	rm -f $$list
571
572t_openpam_readlinev$(EXEEXT): $(t_openpam_readlinev_OBJECTS) $(t_openpam_readlinev_DEPENDENCIES) $(EXTRA_t_openpam_readlinev_DEPENDENCIES) 
573	@rm -f t_openpam_readlinev$(EXEEXT)
574	$(AM_V_CCLD)$(LINK) $(t_openpam_readlinev_OBJECTS) $(t_openpam_readlinev_LDADD) $(LIBS)
575
576t_openpam_readword$(EXEEXT): $(t_openpam_readword_OBJECTS) $(t_openpam_readword_DEPENDENCIES) $(EXTRA_t_openpam_readword_DEPENDENCIES) 
577	@rm -f t_openpam_readword$(EXEEXT)
578	$(AM_V_CCLD)$(LINK) $(t_openpam_readword_OBJECTS) $(t_openpam_readword_LDADD) $(LIBS)
579
580mostlyclean-compile:
581	-rm -f *.$(OBJEXT)
582
583distclean-compile:
584	-rm -f *.tab.c
585
586@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_file.Po@am__quote@
587@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_main.Po@am__quote@
588@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_openpam_readlinev.Po@am__quote@
589@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_openpam_readword.Po@am__quote@
590
591.c.o:
592@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
593@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
594@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
595@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
596@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
597
598.c.obj:
599@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
600@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
601@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
602@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
603@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
604
605.c.lo:
606@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
607@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
608@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
609@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
610@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
611
612mostlyclean-libtool:
613	-rm -f *.lo
614
615clean-libtool:
616	-rm -rf .libs _libs
617
618ID: $(am__tagged_files)
619	$(am__define_uniq_tagged_files); mkid -fID $$unique
620tags: tags-am
621TAGS: tags
622
623tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
624	set x; \
625	here=`pwd`; \
626	$(am__define_uniq_tagged_files); \
627	shift; \
628	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
629	  test -n "$$unique" || unique=$$empty_fix; \
630	  if test $$# -gt 0; then \
631	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
632	      "$$@" $$unique; \
633	  else \
634	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
635	      $$unique; \
636	  fi; \
637	fi
638ctags: ctags-am
639
640CTAGS: ctags
641ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
642	$(am__define_uniq_tagged_files); \
643	test -z "$(CTAGS_ARGS)$$unique" \
644	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
645	     $$unique
646
647GTAGS:
648	here=`$(am__cd) $(top_builddir) && pwd` \
649	  && $(am__cd) $(top_srcdir) \
650	  && gtags -i $(GTAGS_ARGS) "$$here"
651cscopelist: cscopelist-am
652
653cscopelist-am: $(am__tagged_files)
654	list='$(am__tagged_files)'; \
655	case "$(srcdir)" in \
656	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
657	  *) sdir=$(subdir)/$(srcdir) ;; \
658	esac; \
659	for i in $$list; do \
660	  if test -f "$$i"; then \
661	    echo "$(subdir)/$$i"; \
662	  else \
663	    echo "$$sdir/$$i"; \
664	  fi; \
665	done >> $(top_builddir)/cscope.files
666
667distclean-tags:
668	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
669
670# Recover from deleted '.trs' file; this should ensure that
671# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
672# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
673# to avoid problems with "make -n".
674.log.trs:
675	rm -f $< $@
676	$(MAKE) $(AM_MAKEFLAGS) $<
677
678# Leading 'am--fnord' is there to ensure the list of targets does not
679# expand to empty, as could happen e.g. with make check TESTS=''.
680am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
681am--force-recheck:
682	@:
683
684$(TEST_SUITE_LOG): $(TEST_LOGS)
685	@$(am__set_TESTS_bases); \
686	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
687	redo_bases=`for i in $$bases; do \
688	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
689	            done`; \
690	if test -n "$$redo_bases"; then \
691	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
692	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
693	  if $(am__make_dryrun); then :; else \
694	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
695	  fi; \
696	fi; \
697	if test -n "$$am__remaking_logs"; then \
698	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
699	       "recursion detected" >&2; \
700	else \
701	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
702	fi; \
703	if $(am__make_dryrun); then :; else \
704	  st=0;  \
705	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
706	  for i in $$redo_bases; do \
707	    test -f $$i.trs && test -r $$i.trs \
708	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
709	    test -f $$i.log && test -r $$i.log \
710	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
711	  done; \
712	  test $$st -eq 0 || exit 1; \
713	fi
714	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
715	ws='[ 	]'; \
716	results=`for b in $$bases; do echo $$b.trs; done`; \
717	test -n "$$results" || results=/dev/null; \
718	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
719	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
720	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
721	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
722	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
723	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
724	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
725	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
726	  success=true; \
727	else \
728	  success=false; \
729	fi; \
730	br='==================='; br=$$br$$br$$br$$br; \
731	result_count () \
732	{ \
733	    if test x"$$1" = x"--maybe-color"; then \
734	      maybe_colorize=yes; \
735	    elif test x"$$1" = x"--no-color"; then \
736	      maybe_colorize=no; \
737	    else \
738	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
739	    fi; \
740	    shift; \
741	    desc=$$1 count=$$2; \
742	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
743	      color_start=$$3 color_end=$$std; \
744	    else \
745	      color_start= color_end=; \
746	    fi; \
747	    echo "$${color_start}# $$desc $$count$${color_end}"; \
748	}; \
749	create_testsuite_report () \
750	{ \
751	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
752	  result_count $$1 "PASS: " $$pass  "$$grn"; \
753	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
754	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
755	  result_count $$1 "FAIL: " $$fail  "$$red"; \
756	  result_count $$1 "XPASS:" $$xpass "$$red"; \
757	  result_count $$1 "ERROR:" $$error "$$mgn"; \
758	}; \
759	{								\
760	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
761	    $(am__rst_title);						\
762	  create_testsuite_report --no-color;				\
763	  echo;								\
764	  echo ".. contents:: :depth: 2";				\
765	  echo;								\
766	  for b in $$bases; do echo $$b; done				\
767	    | $(am__create_global_log);					\
768	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
769	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
770	if $$success; then						\
771	  col="$$grn";							\
772	 else								\
773	  col="$$red";							\
774	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
775	fi;								\
776	echo "$${col}$$br$${std}"; 					\
777	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
778	echo "$${col}$$br$${std}"; 					\
779	create_testsuite_report --maybe-color;				\
780	echo "$$col$$br$$std";						\
781	if $$success; then :; else					\
782	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
783	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
784	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
785	  fi;								\
786	  echo "$$col$$br$$std";					\
787	fi;								\
788	$$success || exit 1
789
790check-TESTS:
791	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
792	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
793	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
794	@set +e; $(am__set_TESTS_bases); \
795	log_list=`for i in $$bases; do echo $$i.log; done`; \
796	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
797	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
798	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
799	exit $$?;
800recheck: all $(check_LIBRARIES) $(check_PROGRAMS)
801	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
802	@set +e; $(am__set_TESTS_bases); \
803	bases=`for i in $$bases; do echo $$i; done \
804	         | $(am__list_recheck_tests)` || exit 1; \
805	log_list=`for i in $$bases; do echo $$i.log; done`; \
806	log_list=`echo $$log_list`; \
807	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
808	        am__force_recheck=am--force-recheck \
809	        TEST_LOGS="$$log_list"; \
810	exit $$?
811t_openpam_readword.log: t_openpam_readword$(EXEEXT)
812	@p='t_openpam_readword$(EXEEXT)'; \
813	b='t_openpam_readword'; \
814	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
815	--log-file $$b.log --trs-file $$b.trs \
816	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
817	"$$tst" $(AM_TESTS_FD_REDIRECT)
818t_openpam_readlinev.log: t_openpam_readlinev$(EXEEXT)
819	@p='t_openpam_readlinev$(EXEEXT)'; \
820	b='t_openpam_readlinev'; \
821	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
822	--log-file $$b.log --trs-file $$b.trs \
823	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
824	"$$tst" $(AM_TESTS_FD_REDIRECT)
825.test.log:
826	@p='$<'; \
827	$(am__set_b); \
828	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
829	--log-file $$b.log --trs-file $$b.trs \
830	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
831	"$$tst" $(AM_TESTS_FD_REDIRECT)
832@am__EXEEXT_TRUE@.test$(EXEEXT).log:
833@am__EXEEXT_TRUE@	@p='$<'; \
834@am__EXEEXT_TRUE@	$(am__set_b); \
835@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
836@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
837@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
838@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
839
840distdir: $(DISTFILES)
841	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
842	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
843	list='$(DISTFILES)'; \
844	  dist_files=`for file in $$list; do echo $$file; done | \
845	  sed -e "s|^$$srcdirstrip/||;t" \
846	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
847	case $$dist_files in \
848	  */*) $(MKDIR_P) `echo "$$dist_files" | \
849			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
850			   sort -u` ;; \
851	esac; \
852	for file in $$dist_files; do \
853	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
854	  if test -d $$d/$$file; then \
855	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
856	    if test -d "$(distdir)/$$file"; then \
857	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
858	    fi; \
859	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
860	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
861	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
862	    fi; \
863	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
864	  else \
865	    test -f "$(distdir)/$$file" \
866	    || cp -p $$d/$$file "$(distdir)/$$file" \
867	    || exit 1; \
868	  fi; \
869	done
870check-am: all-am
871	$(MAKE) $(AM_MAKEFLAGS) $(check_LIBRARIES) $(check_PROGRAMS)
872	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
873check: check-am
874all-am: Makefile $(HEADERS)
875installdirs:
876install: install-am
877install-exec: install-exec-am
878install-data: install-data-am
879uninstall: uninstall-am
880
881install-am: all-am
882	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
883
884installcheck: installcheck-am
885install-strip:
886	if test -z '$(STRIP)'; then \
887	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
888	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
889	      install; \
890	else \
891	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
892	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
893	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
894	fi
895mostlyclean-generic:
896	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
897	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
898	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
899
900clean-generic:
901
902distclean-generic:
903	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
904	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
905
906maintainer-clean-generic:
907	@echo "This command is intended for maintainers to use"
908	@echo "it deletes files that may require special tools to rebuild."
909clean: clean-am
910
911clean-am: clean-checkLIBRARIES clean-checkPROGRAMS clean-generic \
912	clean-libtool mostlyclean-am
913
914distclean: distclean-am
915	-rm -rf ./$(DEPDIR)
916	-rm -f Makefile
917distclean-am: clean-am distclean-compile distclean-generic \
918	distclean-tags
919
920dvi: dvi-am
921
922dvi-am:
923
924html: html-am
925
926html-am:
927
928info: info-am
929
930info-am:
931
932install-data-am:
933
934install-dvi: install-dvi-am
935
936install-dvi-am:
937
938install-exec-am:
939
940install-html: install-html-am
941
942install-html-am:
943
944install-info: install-info-am
945
946install-info-am:
947
948install-man:
949
950install-pdf: install-pdf-am
951
952install-pdf-am:
953
954install-ps: install-ps-am
955
956install-ps-am:
957
958installcheck-am:
959
960maintainer-clean: maintainer-clean-am
961	-rm -rf ./$(DEPDIR)
962	-rm -f Makefile
963maintainer-clean-am: distclean-am maintainer-clean-generic
964
965mostlyclean: mostlyclean-am
966
967mostlyclean-am: mostlyclean-compile mostlyclean-generic \
968	mostlyclean-libtool
969
970pdf: pdf-am
971
972pdf-am:
973
974ps: ps-am
975
976ps-am:
977
978uninstall-am:
979
980.MAKE: check-am install-am install-strip
981
982.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
983	clean-checkLIBRARIES clean-checkPROGRAMS clean-generic \
984	clean-libtool cscopelist-am ctags ctags-am distclean \
985	distclean-compile distclean-generic distclean-libtool \
986	distclean-tags distdir dvi dvi-am html html-am info info-am \
987	install install-am install-data install-data-am install-dvi \
988	install-dvi-am install-exec install-exec-am install-html \
989	install-html-am install-info install-info-am install-man \
990	install-pdf install-pdf-am install-ps install-ps-am \
991	install-strip installcheck installcheck-am installdirs \
992	maintainer-clean maintainer-clean-generic mostlyclean \
993	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
994	pdf pdf-am ps ps-am recheck tags tags-am uninstall \
995	uninstall-am
996
997
998# Tell versions [3.59,3.63) of GNU make to not export all variables.
999# Otherwise a system limit (for SysV at least) may be exceeded.
1000.NOEXPORT:
1001